Subject: Re: [04/13] powerpc/64s: msgclr when handling doorbell exceptions

From: Michael Ellerman <[email-masked]>
Date: Mon, 19 Jun 2017 22:25:42 +1000 (AEST)

On Tue, 2017-06-13 at 13:05:48 UTC, Nicholas Piggin wrote:
> msgsnd doorbell exceptions are cleared when the doorbell interrupt is
> taken. However if a doorbell exception causes a system reset interrupt
> wake from power saving state, the message is not cleared. Processing
> the doorbell from the system reset interrupt requires msgclr to avoid
> taking the exception again.
> 
> Testing this plus the previous wakup direct patch gives:
> 
>                                 original         wakeup direct     msgclr
> Different threads, same core:   315k/s           264k/s            345k/s
> Different cores:                235k/s           242k/s            242k/s
> 
> Net speedup is +10% for same core, and +3% for different core.
> 
> Reviewed-by: Gautham R. Shenoy <[email-masked]>
> Signed-off-by: Nicholas Piggin <[email-masked]>

Applied to powerpc next, thanks.

https://git.kernel.org/powerpc/c/a9af97aa0a12c30178dd7ad9af8887

cheers